Bug 1309952 - SElinux prevents access to ECRYPTFS_FNEK files on every login
SElinux prevents access to ECRYPTFS_FNEK files on every login
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
23
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lukas Vrabec
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-19 00:13 EST by Paul DeStefano
Modified: 2016-12-20 13:50 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:50:10 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul DeStefano 2016-02-19 00:13:36 EST
Description of problem:

SELinux is preventing lightdm from create access on the file ECRYPTFS_FNEK_ENCRYPTED.FXZQ-pBwUUcuN-R1fa1zccNwc2xcHGbC.Ek5KcAKYcu61fqthCREenwZ41g9z4RWYxCu0jd.kn-s67U-.

*****  Plugin catchall (100. confidence) suggests   **************************

If you believe that lightdm should be allowed create access on the ECRYPTFS_FNEK_ENCRYPTED.FXZQ-pBwUUcuN-R1fa1zccNwc2xcHGbC.Ek5KcAKYcu61fqthCREenwZ41g9z4RWYxCu0jd.kn-s67U- file by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep lightdm /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:user_home_t:s0
Target Objects                ECRYPTFS_FNEK_ENCRYPTED.FXZQ-pBwUUcuN-R1fa1zccNwc2
                              xcHGbC.Ek5KcAKYcu61fqthCREenwZ41g9z4RWYxCu0jd.kn-
                              s67U- [ file ]
Source                        lightdm
Source Path                   lightdm
Port                          <Unknown>
Host                          <hostname>
Source RPM Packages           
Target RPM Packages           
Policy RPM                    selinux-policy-3.13.1-158.6.fc23.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     <hostname>
Platform                      Linux <hostname> 4.3.5-300.fc23.x86_64 #1 SMP Mon
                              Feb 1 03:18:41 UTC 2016 x86_64 x86_64
Alert Count                   1
First Seen                    2016-02-18 17:33:18 PST
Last Seen                     2016-02-18 17:33:18 PST
Local ID                      cc4c09aa-7000-47fa-8af2-3102a24eb518

Raw Audit Messages
type=AVC msg=audit(1455845598.813:512): avc:  denied  { create } for  pid=1470 comm="lightdm" name="ECRYPTFS_FNEK_ENCRYPTED.FXZQ-pBwUUcuN-R1fa1zccNwc2xcHGbC.Ek5KcAKYcu61fqthCREenwZ41g9z4RWYxCu0jd.kn-s67U-" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:user_home_t:s0 tclass=file permissive=0


Hash: lightdm,xdm_t,user_home_t,file,create


Version-Release number of selected component (if applicable):


How reproducible:
Every time I login.

Steps to Reproduce:
I'm not sure what caused this to begin with, but now it happens regularly.  I just login.

Actual results:
SElinux prevents access.

Expected results:
No AVC.
Comment 1 Rex Dieter 2016-02-19 14:43:25 EST
triaging to selinux-policy

pretty sure nothing has changed on the lightdm side of things for awhile
Comment 2 Paul DeStefano 2016-03-16 10:13:58 EDT
After update last weekend, symptoms have gotten worse.

I now the FNEK AVC errors every time I open the "Desktop" preferences.  I did this because Xfce desktop wallpaper was changed after reboot and now I cannot fix it at all.  Desktop preference tool seems to be broken.
Comment 3 Paul DeStefano 2016-03-16 10:14:46 EDT
Raw Audit Messages
type=AVC msg=audit(1457929801.117:320): avc:  denied  { create } for  pid=2146 comm="lightdm" name="ECRYPTFS_FNEK_ENCRYPTED.FXZQ-pBwUUcuN-R1fa1zccNwc2xcHGbC.Ek5KcAKYcu61fqthCREenwZ41g9z4RWYxCu0jd.kn-s67U-" scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:user_home_t:s0 tclass=file permissive=0
Comment 4 Paul DeStefano 2016-03-16 10:17:03 EDT
Correction, I guess the wallpaper "style" setting got reset, but I *was* able to correct it.  However, I still get AVC when launching Desktop preferences.
Comment 5 Paul DeStefano 2016-04-04 13:59:13 EDT
This problem persists through several updates.

It's also not just lightdm.  I'm getting lots of AVCs from plugin-container and Flash Player doesn't work properly on some sites (e.g. Hulu).

Plus, AVCs occur from evince-thumbnail, too.  Skype cannot save settings.  It's bizarre; I don't understand.

Is this related???  In /home/.ecryptfs/<user>/.Private/ there are many ECRYPTFS_FNEK_ENCRYPTED.... files and it looks like there are two created every time I login.  I'm not sure if this is good or bad behavior.
Comment 6 Fedora Admin XMLRPC Client 2016-09-27 11:03:38 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 7 Fedora End Of Life 2016-11-24 10:38:26 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2016-12-20 13:50:10 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.